org.apache.sysds.runtime.controlprogram.parfor.opt

## Enum Optimizer.CostModelType

- java.lang.Object
- - java.lang.Enum<Optimizer.CostModelType>
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.Optimizer.CostModelType

- All Implemented Interfaces:
    Serializable, Comparable<Optimizer.CostModelType>
  Enclosing class:
    Optimizer

      public static enum Optimizer.CostModelType
      extends Enum<Optimizer.CostModelType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RUNTIME_METRICS`
    `STATIC_MEM_METRIC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Optimizer.CostModelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Optimizer.CostModelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC_MEM_METRIC

          public static final Optimizer.CostModelType STATIC_MEM_METRIC

    - #### RUNTIME_METRICS

          public static final Optimizer.CostModelType RUNTIME_METRICS

  - ### Method Detail

    - #### values

          public static Optimizer.CostModelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Optimizer.CostModelType c : Optimizer.CostModelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Optimizer.CostModelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 The Apache Software Foundation. All rights reserved.